using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 标准化系统评审行动计划中间表
    /// </summary>
    [Description("标准化系统评审行动计划")]
    public class T_OG_STANDARDIZATION_ACTION_PLAN_REL : MesEntityBase
    {
        /// <summary>
        /// 标准化系统评审意见表ID
        /// </summary>
        [Description("标准化系统评审意见表")]
        [DataFieldForeignKey("Nav_Review", "Nav_ActionPlanList")]
        public Guid REVIEW_ID { get; set; }
        /// <summary>
        /// 导航：标准化系统评审意见表
        /// </summary>
        [Description("导航：标准化系统评审意见表")]
        public T_OG_STANDARDIZATION_SYSTEM_REVIEW Nav_Review { get; set; }        
        /// <summary>
        /// 行动计划ID
        /// </summary>
        [Description("行动计划")]
        [DataFieldForeignKey("Nav_Plan")]
        public Guid PLAN_ID { get; set; }
        /// <summary>
        /// 导航：行动计划
        /// </summary>
        [Description("导航：行动计划")]
        public T_OG_STANDARDIZATION_ACTION_PLAN_ENUM Nav_Plan { get; set; }        
        /// <summary>
        /// 计划内容
        /// </summary>
        [Description("计划内容")]
        [FormFieldEdit]
        public string PLAN_CONTENT { get; set; }
        /// <summary>
        /// 执行人员ID
        /// </summary>
        [Description("执行人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航：执行人员
        /// </summary>
        [Description("导航：执行人员")]
        public T_FM_USER Nav_User { get; set; }        
        /// <summary>
        /// 执行情况
        /// </summary>
        [Description("执行情况")]
        [EnumName("OGStandardizationImplementation")]
        [FormFieldEdit]
        public OGStandardizationImplementation IMPLEMENTATION { get; set; }    
        }
}
